<?php

namespace Lc\CaracoleBundle\Factory\Ticket;

use Lc\CaracoleBundle\Context\SectionContextTrait;
use Lc\SovBundle\Factory\Ticket\TicketFactory as SovTicketFactory;
use Lc\SovBundle\Model\Ticket\TicketInterface;

class TicketFactory extends SovTicketFactory
{
    use SectionContextTrait;

    public function create(): TicketInterface
    {
        $ticket = parent::create();

        if(!is_null($this->section)) {
            $ticket->setSection($this->section);
        }

        return $ticket;
    }
}